import { UiGaugeCommandHandler, UiGaugeConfig } from "../generated/UiGaugeConfig";
import { UiGaugeOptionsConfig } from "../generated/UiGaugeOptionsConfig";
import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
export declare class UiGauge extends AbstractUiComponent<UiGaugeConfig> implements UiGaugeCommandHandler {
    private $main;
    private gauge;
    private value;
    constructor(config: UiGaugeConfig, context: TeamAppsUiContext);
    private createGauge;
    doGetMainElement(): HTMLElement;
    onResize(): void;
    setValue(value: number): void;
    setOptions(options: UiGaugeOptionsConfig): void;
    createOptions(options: UiGaugeOptionsConfig): any;
}
